# GstValidateReporter

## GstValidate.Reporter

### Methods

#### gst_validate_reporter_get_name

    const gchar *
    gst_validate_reporter_get_name (GstValidateReporter * reporter)

Gets name of reporter

Parameters:

`reporter` –

The reporter to get the name from

Returns ( [transfer: none][nullable]) –

The name of the reporter

#### GstValidate.Reporter.prototype.get_name

    function GstValidate.Reporter.prototype.get_name(): {
        // javascript wrapper for 'gst_validate_reporter_get_name'
    }

Gets name of reporter

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to get the name from

Returns (String) –

The name of the reporter

#### GstValidate.Reporter.get_name

    def GstValidate.Reporter.get_name (self):
        #python wrapper for 'gst_validate_reporter_get_name'

Gets name of reporter

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to get the name from

Returns (str) –

The name of the reporter

#### gst_validate_reporter_get_pipeline

    GstPipeline *
    gst_validate_reporter_get_pipeline (GstValidateReporter * reporter)

Parameters:

`reporter` –

The reporter to get the pipeline from

Returns ( [transfer: full][nullable]) –

The GstPipeline

#### GstValidate.Reporter.prototype.get_pipeline

    function GstValidate.Reporter.prototype.get_pipeline(): {
        // javascript wrapper for 'gst_validate_reporter_get_pipeline'
    }

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to get the pipeline from

Returns (Gst.Pipeline) –

The Gst.Pipeline

#### GstValidate.Reporter.get_pipeline

    def GstValidate.Reporter.get_pipeline (self):
        #python wrapper for 'gst_validate_reporter_get_pipeline'

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to get the pipeline from

Returns (Gst.Pipeline) –

The Gst.Pipeline

#### gst_validate_reporter_get_report

    GstValidateReport *
    gst_validate_reporter_get_report (GstValidateReporter * reporter,
                                      GstValidateIssueId issue_id)

Parameters:

`reporter` –

The reporter to get the report from

`issue_id` –

The issue id to get the report from

Returns ( [transfer: none][nullable]) –

The GstValidateReport

#### GstValidate.Reporter.prototype.get_report

    function GstValidate.Reporter.prototype.get_report(issue_id: GLib.Quark): {
        // javascript wrapper for 'gst_validate_reporter_get_report'
    }

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to get the report from

`issue_id` (GLib.Quark) –

The issue id to get the report from

Returns (GstValidate.Report) –

The GstValidate.Report

#### GstValidate.Reporter.get_report

    def GstValidate.Reporter.get_report (self, issue_id):
        #python wrapper for 'gst_validate_reporter_get_report'

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to get the report from

`issue_id` (GLib.Quark) –

The issue id to get the report from

Returns (GstValidate.Report) –

The GstValidate.Report

#### gst_validate_reporter_get_reporting_level

    GstValidateReportingDetails
    gst_validate_reporter_get_reporting_level (GstValidateReporter * reporter)

Parameters:

`reporter` –
No description available
Returns –
No description available

#### GstValidate.Reporter.prototype.get_reporting_level

    function GstValidate.Reporter.prototype.get_reporting_level(): {
        // javascript wrapper for 'gst_validate_reporter_get_reporting_level'
    }

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
Returns (GstValidate.ReportingDetails) –
No description available

#### GstValidate.Reporter.get_reporting_level

    def GstValidate.Reporter.get_reporting_level (self):
        #python wrapper for 'gst_validate_reporter_get_reporting_level'

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
Returns (GstValidate.ReportingDetails) –
No description available

#### gst_validate_reporter_get_reports

    GList *
    gst_validate_reporter_get_reports (GstValidateReporter * reporter)

Get the list of reports present in the reporter.

Parameters:

`reporter` –

a GstValidateReporter

Returns ( [transfer: full][element-type GstValidateReport]) –

the list of GstValidateReport present in the reporter. The caller should unref each report once it is done with them.

#### GstValidate.Reporter.prototype.get_reports

    function GstValidate.Reporter.prototype.get_reports(): {
        // javascript wrapper for 'gst_validate_reporter_get_reports'
    }

Get the list of reports present in the reporter.

Parameters:

`reporter` (GstValidate.Reporter) –

a GstValidate.Reporter

Returns ([ GstValidate.Report ]) –

the list of GstValidate.Report present in the reporter. The caller should unref each report once it is done with them.

#### GstValidate.Reporter.get_reports

    def GstValidate.Reporter.get_reports (self):
        #python wrapper for 'gst_validate_reporter_get_reports'

Get the list of reports present in the reporter.

Parameters:

`reporter` (GstValidate.Reporter) –

a GstValidate.Reporter

Returns ([ GstValidate.Report ]) –

the list of GstValidate.Report present in the reporter. The caller should unref each report once it is done with them.

#### gst_validate_reporter_get_reports_count

    gint
    gst_validate_reporter_get_reports_count (GstValidateReporter * reporter)

Get the number of reports present in the reporter.

Parameters:

`reporter` –

a GstValidateReporter

Returns –

the number of reports currently present in reporter.

#### GstValidate.Reporter.prototype.get_reports_count

    function GstValidate.Reporter.prototype.get_reports_count(): {
        // javascript wrapper for 'gst_validate_reporter_get_reports_count'
    }

Get the number of reports present in the reporter.

Parameters:

`reporter` (GstValidate.Reporter) –

a GstValidate.Reporter

Returns (Number) –

the number of reports currently present in reporter.

#### GstValidate.Reporter.get_reports_count

    def GstValidate.Reporter.get_reports_count (self):
        #python wrapper for 'gst_validate_reporter_get_reports_count'

Get the number of reports present in the reporter.

Parameters:

`reporter` (GstValidate.Reporter) –

a GstValidate.Reporter

Returns (int) –

the number of reports currently present in reporter.

#### gst_validate_reporter_get_runner

    GstValidateRunner *
    gst_validate_reporter_get_runner (GstValidateReporter * reporter)

Parameters:

`reporter` –

The reporter to get the runner from

Returns ( [transfer: full][nullable]) –

The runner

#### GstValidate.Reporter.prototype.get_runner

    function GstValidate.Reporter.prototype.get_runner(): {
        // javascript wrapper for 'gst_validate_reporter_get_runner'
    }

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to get the runner from

Returns (GstValidate.Runner) –

The runner

#### GstValidate.Reporter.get_runner

    def GstValidate.Reporter.get_runner (self):
        #python wrapper for 'gst_validate_reporter_get_runner'

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to get the runner from

Returns (GstValidate.Runner) –

The runner

#### gst_validate_reporter_init

    gst_validate_reporter_init (GstValidateReporter * reporter,
                                const gchar * name)

Parameters:

`reporter` –
No description available
`name` –
No description available

#### GstValidate.Reporter.prototype.init

    function GstValidate.Reporter.prototype.init(name: String): {
        // javascript wrapper for 'gst_validate_reporter_init'
    }

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`name` (String) –
No description available

#### GstValidate.Reporter.init

    def GstValidate.Reporter.init (self, name):
        #python wrapper for 'gst_validate_reporter_init'

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`name` (str) –
No description available

#### gst_validate_reporter_purge_reports

    gst_validate_reporter_purge_reports (GstValidateReporter * reporter)

Remove all the GstValidateReport from reporter. This should be called before unreffing the reporter to break cyclic references.

Parameters:

`reporter` –

a GstValidateReporter

#### GstValidate.Reporter.prototype.purge_reports

    function GstValidate.Reporter.prototype.purge_reports(): {
        // javascript wrapper for 'gst_validate_reporter_purge_reports'
    }

Remove all the GstValidate.Report from reporter. This should be called before unreffing the reporter to break cyclic references.

Parameters:

`reporter` (GstValidate.Reporter) –

a GstValidate.Reporter

#### GstValidate.Reporter.purge_reports

    def GstValidate.Reporter.purge_reports (self):
        #python wrapper for 'gst_validate_reporter_purge_reports'

Remove all the GstValidate.Report from reporter. This should be called before unreffing the reporter to break cyclic references.

Parameters:

`reporter` (GstValidate.Reporter) –

a GstValidate.Reporter

#### gst_validate_reporter_report_simple

    gst_validate_reporter_report_simple (GstValidateReporter * reporter,
                                         GstValidateIssueId issue_id,
                                         const gchar * message)

Parameters:

`reporter` –
No description available
`issue_id` –
No description available
`message` –
No description available

#### GstValidate.Reporter.prototype.report_simple

    function GstValidate.Reporter.prototype.report_simple(issue_id: GLib.Quark, message: String): {
        // javascript wrapper for 'gst_validate_reporter_report_simple'
    }

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`issue_id` (GLib.Quark) –
No description available
`message` (String) –
No description available

#### GstValidate.Reporter.report_simple

    def GstValidate.Reporter.report_simple (self, issue_id, message):
        #python wrapper for 'gst_validate_reporter_report_simple'

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`issue_id` (GLib.Quark) –
No description available
`message` (str) –
No description available

#### gst_validate_reporter_set_handle_g_logs

    gst_validate_reporter_set_handle_g_logs (GstValidateReporter * reporter)

Set reporter has the 'source' of any g_log happening during the execution. Usually the monitor of the first GstPipeline is used to handle g_logs.

Basically this function is used in order to start tracking any issue reported with g_log in the process into GstValidate report in the GstValidate reporting system.

Parameters:

`reporter` –

The GstValidateReporter to set has the handler for g_log

#### GstValidate.Reporter.prototype.set_handle_g_logs

    function GstValidate.Reporter.prototype.set_handle_g_logs(): {
        // javascript wrapper for 'gst_validate_reporter_set_handle_g_logs'
    }

Set reporter has the 'source' of any g_log happening during the execution. Usually the monitor of the first Gst.Pipeline is used to handle g_logs.

Basically this function is used in order to start tracking any issue reported with g_log in the process into GstValidate report in the GstValidate reporting system.

Parameters:

`reporter` (GstValidate.Reporter) –

The GstValidate.Reporter to set has the handler for g_log

#### GstValidate.Reporter.set_handle_g_logs

    def GstValidate.Reporter.set_handle_g_logs (self):
        #python wrapper for 'gst_validate_reporter_set_handle_g_logs'

Set reporter has the 'source' of any g_log happening during the execution. Usually the monitor of the first Gst.Pipeline is used to handle g_logs.

Basically this function is used in order to start tracking any issue reported with g_log in the process into GstValidate report in the GstValidate reporting system.

Parameters:

`reporter` (GstValidate.Reporter) –

The GstValidate.Reporter to set has the handler for g_log

#### gst_validate_reporter_set_name

    gst_validate_reporter_set_name (GstValidateReporter * reporter,
                                    gchar * name)

Sets name on reporter

Parameters:

`reporter` –

The reporter to set the name on

`name` ( [transfer: full][nullable]) –

The name of the reporter

#### GstValidate.Reporter.prototype.set_name

    function GstValidate.Reporter.prototype.set_name(name: String): {
        // javascript wrapper for 'gst_validate_reporter_set_name'
    }

Sets name on reporter

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to set the name on

`name` (String) –

The name of the reporter

#### GstValidate.Reporter.set_name

    def GstValidate.Reporter.set_name (self, name):
        #python wrapper for 'gst_validate_reporter_set_name'

Sets name on reporter

Parameters:

`reporter` (GstValidate.Reporter) –

The reporter to set the name on

`name` (str) –

The name of the reporter

#### gst_validate_reporter_set_runner

    gst_validate_reporter_set_runner (GstValidateReporter * reporter,
                                      GstValidateRunner * runner)

Parameters:

`reporter` –
No description available
`runner` –
No description available

#### GstValidate.Reporter.prototype.set_runner

    function GstValidate.Reporter.prototype.set_runner(runner: GstValidate.Runner): {
        // javascript wrapper for 'gst_validate_reporter_set_runner'
    }

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`runner` (GstValidate.Runner) –
No description available

#### GstValidate.Reporter.set_runner

    def GstValidate.Reporter.set_runner (self, runner):
        #python wrapper for 'gst_validate_reporter_set_runner'

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`runner` (GstValidate.Runner) –
No description available

### Properties

#### validate-runner

    “validate-runner” GstValidateRunner *

Flags : Read / Write / Construct Only

#### validate-runner

    “validate-runner” GstValidate.Runner

Flags : Read / Write / Construct Only

#### validate_runner

    “self.props.validate_runner” GstValidate.Runner

Flags : Read / Write / Construct Only

### Virtual Methods

#### get_pipeline

    GstPipeline *
    get_pipeline (GstValidateReporter * reporter)

Parameters:

`reporter` –
No description available
Returns –
No description available

#### vfunc_get_pipeline

    function vfunc_get_pipeline(reporter: GstValidate.Reporter): {
        // javascript implementation of the 'get_pipeline' virtual method
    }

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
Returns (Gst.Pipeline) –
No description available

#### do_get_pipeline

    def do_get_pipeline (reporter):
        #python implementation of the 'get_pipeline' virtual method

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
Returns (Gst.Pipeline) –
No description available

#### get_reporting_level

    GstValidateReportingDetails
    get_reporting_level (GstValidateReporter * reporter)

Parameters:

`reporter` –
No description available
Returns –
No description available

#### vfunc_get_reporting_level

    function vfunc_get_reporting_level(reporter: GstValidate.Reporter): {
        // javascript implementation of the 'get_reporting_level' virtual method
    }

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
Returns (GstValidate.ReportingDetails) –
No description available

#### do_get_reporting_level

    def do_get_reporting_level (reporter):
        #python implementation of the 'get_reporting_level' virtual method

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
Returns (GstValidate.ReportingDetails) –
No description available

#### intercept_report

    GstValidateInterceptionReturn
    intercept_report (GstValidateReporter * reporter,
                      GstValidateReport * report)

Parameters:

`reporter` –
No description available
`report` –
No description available
Returns –
No description available

#### vfunc_intercept_report

    function vfunc_intercept_report(reporter: GstValidate.Reporter, report: GstValidate.Report): {
        // javascript implementation of the 'intercept_report' virtual method
    }

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`report` (GstValidate.Report) –
No description available
Returns (GstValidate.InterceptionReturn) –
No description available

#### do_intercept_report

    def do_intercept_report (reporter, report):
        #python implementation of the 'intercept_report' virtual method

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`report` (GstValidate.Report) –
No description available
Returns (GstValidate.InterceptionReturn) –
No description available

## Functions

### gst_validate_report

    gst_validate_report (GstValidateReporter * reporter,
                         GstValidateIssueId issue_id,
                         const gchar * format,
                         ... ...)

Reports a new issue in the GstValidate reporting system.

You can also use GST_VALIDATE_REPORT instead.

Parameters:

`reporter` –

The source of the new report

`issue_id` –

The GstValidateIssueId of the issue

`format` –

The format of the message describing the issue in a printf format followed by the parameters.

`...` –

Substitution arguments for format

## Function Macros

### GST_IS_VALIDATE_REPORTER

    #define GST_IS_VALIDATE_REPORTER(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_REPORTER))

### GST_VALIDATE_REPORT

    #define GST_VALIDATE_REPORT(m, issue_id, ...)				\
      G_STMT_START {							\
        gst_validate_report (GST_VALIDATE_REPORTER (m),			\
    			 issue_id,		\
    			 __VA_ARGS__ );					\
      } G_STMT_END

Reports a new issue in the GstValidate reporting system with m as the source of that issue.

Parameters:

`m` –

The GstValidateReporter where the issue happened

`issue_id` –

The GstValidateIssueId of the issue

`...` –

The format of the message describing the issue in a printf format, followed by the parameters.

### GST_VALIDATE_REPORTER_CAST

    #define GST_VALIDATE_REPORTER_CAST(obj)           ((GstValidateReporter *) obj)

### GST_VALIDATE_REPORTER_GET_INTERFACE

    #define GST_VALIDATE_REPORTER_GET_INTERFACE(inst) (G_TYPE_INSTANCE_GET_INTERFACE ((inst), GST_TYPE_VALIDATE_REPORTER, GstValidateReporterInterface))

### GST_VALIDATE_REPORT_ACTION

    #define GST_VALIDATE_REPORT_ACTION(m, a, issue_id, ...)				\
      G_STMT_START {							\
        gst_validate_report_action (GST_VALIDATE_REPORTER (m), a,	\
    			 issue_id,		\
    			 __VA_ARGS__ );					\
      } G_STMT_END

## Enumerations

### GstValidateInterceptionReturn

##### Members

`GST_VALIDATE_REPORTER_DROP` (0) –

The report will be completely ignored.

`GST_VALIDATE_REPORTER_KEEP` (1) –

The report will be kept by the reporter, but not reported to the runner.

`GST_VALIDATE_REPORTER_REPORT` (2) –

The report will be kept by the reporter and reported to the runner.

### GstValidate.InterceptionReturn

##### Members

`GstValidate.InterceptionReturn.DROP` (0) –

The report will be completely ignored.

`GstValidate.InterceptionReturn.KEEP` (1) –

The report will be kept by the reporter, but not reported to the runner.

`GstValidate.InterceptionReturn.REPORT` (2) –

The report will be kept by the reporter and reported to the runner.

### GstValidate.InterceptionReturn

##### Members

`GstValidate.InterceptionReturn.DROP` (0) –

The report will be completely ignored.

`GstValidate.InterceptionReturn.KEEP` (1) –

The report will be kept by the reporter, but not reported to the runner.

`GstValidate.InterceptionReturn.REPORT` (2) –

The report will be kept by the reporter and reported to the runner.

## Constants

### GST_TYPE_VALIDATE_REPORTER

    #define GST_TYPE_VALIDATE_REPORTER                (gst_validate_reporter_get_type ())

The results of the search are